ServerEvents.recipes(event => {

    const recipe_shaped = [
        {//mechanical_press
          output: "create:mechanical_press",
          pattern: [" A ","WBW"," P "],
          key: {
              P: "minecraft:iron_block",
              W: "create:iron_sheet",
              B: "create:andesite_casing",
              A: "create:shaft"
            
          },
          id: "chunklock_create:create/shaped/mechanical_press"
          
        }
    ]
    
    recipe_shaped.forEach((recipe) => {
        event.shaped(recipe.output,recipe.pattern,recipe.key).id(recipe.id)
    })
})